"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _antd = require("antd");

var _react = _interopRequireDefault(require("react"));

var _evidenceCard = _interopRequireDefault(require("./evidence-card.js"));

var _propTypes = _interopRequireDefault(require("prop-types"));

require("antd/dist/antd.css");

require("./evidence-timeline.css");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

const {
  Panel
} = _antd.Collapse;

class EvidenceTimeline extends _react.default.Component {
  constructor(...args) {
    super(...args);

    _defineProperty(this, "sortedEvidence", this.props.evidence.sort((a, b) => {
      if (a.submittedAt > b.submittedAt) return -1;else if (a.submittedAt < b.submittedAt) return 1;
      return 0;
    }));
  }

  render() {
    if (this.sortedEvidence.length === 0) return null;
    const {
      evidence,
      ruling,
      metaEvidence
    } = this.props;
    return _react.default.createElement(_antd.Collapse, {
      defaultActiveKey: ["1"],
      expandIconPosition: "right",
      style: {
        borderStyle: "solid",
        borderColor: "#d09cff",
        borderWidth: "1px"
      }
    }, _react.default.createElement(Panel, {
      header: _react.default.createElement(_react.default.Fragment, null, _react.default.createElement("svg", {
        width: "21",
        height: "14",
        viewBox: "0 0 21 14",
        fill: "none",
        xmlns: "http://www.w3.org/2000/svg",
        style: {
          marginRight: "0.5rem"
        }
      }, _react.default.createElement("path", {
        d: "M18.4377 5.875H16.7647V4.1875C16.7647 3.25586 16.0138 2.5 15.0882 2.5H9.5L7.26471 0.25H1.67647C0.750919 0.25 0 1.00586 0 1.9375V12.0625C0 12.9941 0.750919 13.75 1.67647 13.75H15.6471C16.2233 13.75 16.7612 13.4512 17.0686 12.9555L19.8592 8.45547C20.5577 7.33398 19.7544 5.875 18.4377 5.875ZM1.67647 2.14844C1.67647 2.03242 1.77077 1.9375 1.88603 1.9375H6.56967L8.80496 4.1875H14.8787C14.9939 4.1875 15.0882 4.28242 15.0882 4.39844V5.875H5.30882C4.72206 5.875 4.17721 6.18437 3.87335 6.69062L1.67647 10.3539V2.14844ZM15.6471 12.0625H2.51471L5.21103 7.5625H18.4412L15.6471 12.0625Z",
        fill: "white"
      })), _react.default.createElement("span", null, "Evidence")),
      style: {
        background: "#4d00b4"
      },
      className: "primary",
      key: "1"
    }, _react.default.createElement("div", {
      style: {
        padding: "35px 10%"
      }
    }, _react.default.createElement(_antd.Row, {
      id: "scroll-top"
    }, _react.default.createElement(_antd.Col, {
      style: {
        color: "#4d00b4",
        fontSize: "18px",
        lineHeight: "21px"
      },
      lg: 4
    }, "Latest"), _react.default.createElement(_antd.Col, {
      lg: 16
    }, ruling && _react.default.createElement("div", {
      style: {
        background: "#4d00b4",
        borderRadius: "300px",
        color: "white",
        fontSize: "12px",
        fontWeight: "500",
        lineHeight: "14px",
        marginLeft: "auto",
        marginRight: "auto",
        padding: "8px 0",
        textAlign: "center",
        width: "225px"
      }
    }, ruling ? `Jurors ruled: ${metaEvidence.metaEvidenceJSON.rulingOptions ? metaEvidence.metaEvidenceJSON.rulingOptions.titles[Number(ruling) - 1] : ruling}` : "Jurors refused to make a ruling")), _react.default.createElement("div", {
      style: {
        color: "#009aff",
        cursor: "pointer",
        textAlign: "right"
      },
      lg: 4,
      onClick: () => {
        const _bottomRow = document.getElementById("scroll-bottom");

        _bottomRow.scrollIntoView();
      }
    }, "Scroll to Bottom ", _react.default.createElement(_antd.Icon, {
      type: "arrow-down"
    }))), this.sortedEvidence.map((_evidence, i) => _react.default.createElement("div", {
      key: `evidence-${i}`
    }, _react.default.createElement(_antd.Row, null, _react.default.createElement(_antd.Col, {
      style: {
        borderRight: "1px solid #4d00b4",
        height: "3rem"
      },
      lg: 12
    })), _react.default.createElement(_evidenceCard.default, {
      evidence: _evidence,
      metaEvidence: metaEvidence.metaEvidenceJSON
    }))), _react.default.createElement(_antd.Row, null, _react.default.createElement(_antd.Col, {
      style: {
        borderRight: "1px solid #4d00b4",
        height: "3rem"
      },
      lg: 12
    })), _react.default.createElement(_antd.Row, {
      id: "scroll-bottom"
    }, _react.default.createElement(_antd.Col, {
      style: {
        color: "#4d00b4",
        fontSize: "18px",
        lineHeight: "21px"
      },
      lg: 4
    }, "Start"), _react.default.createElement(_antd.Col, {
      lg: 16
    }, _react.default.createElement("div", {
      style: {
        background: "#4d00b4",
        borderRadius: "300px",
        color: "white",
        fontSize: "12px",
        fontWeight: "500",
        lineHeight: "14px",
        marginLeft: "auto",
        marginRight: "auto",
        padding: "8px 0",
        textAlign: "center",
        width: "135px"
      }
    }, "Dispute Created")), _react.default.createElement(_antd.Col, {
      style: {
        color: "#009aff",
        cursor: "pointer",
        textAlign: "right"
      },
      lg: 4,
      onClick: () => {
        const _bottomRow = document.getElementById("scroll-top");

        _bottomRow.scrollIntoView();
      }
    }, "Scroll to Top ", _react.default.createElement(_antd.Icon, {
      type: "arrow-up"
    }))))));
  }

}

EvidenceTimeline.propTypes = {
  evidence: _propTypes.default.array,
  ruling: _propTypes.default.object,
  metaEvidence: _propTypes.default.object
};
EvidenceTimeline.defaultProps = {
  evidence: [],
  ruling: null,
  metaEvidence: []
};
var _default = EvidenceTimeline;
exports.default = _default;